#ifdef STATISTICS
#include "Behavioural/include/Stat.h"

namespace morpheo {
namespace behavioural {  
  void Stat::eval_exprs (bool only_each_cycle)
  {
    // parcourir la liste et desallouer les counters
    for (std::list<expr_t>::iterator i=_list_expr->begin();
	 i!= _list_expr->end();
	 ++i)
      {
	if (i->each_cycle == only_each_cycle)
	  eval_expr (*i);
      }
  }
};  
};
#endif
